Skip to main content
GET
Get an A/B experiment

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

endpointId
string
required

Endpoint identifier.

id
string
required

A/B experiment identifier.

Response

OK

Managed cohort split that subdivides a control deployment's live traffic among the control and one or more variants.

id
string
required

Output only. Unique A/B experiment identifier.

projectId
string
required

Output only. Project that owns the parent endpoint.

endpointId
string
required

Output only. Endpoint this A/B experiment belongs to.

name
string
required

Human-readable A/B experiment name, unique within the endpoint.

members
object[]
required

Two to 20 participating deployments with exactly one control and percentages that add up to 100.

createdBy
string
required

Output only. Identifier of the principal that created the A/B experiment.

createdAt
string<date-time>
required

Output only. Timestamp when the A/B experiment was created.

updatedAt
string<date-time>
required

Output only. Timestamp when the A/B experiment was last updated.

etag
string
required

Optional opaque version tag for optimistic concurrency control.

description
string

Optional free-form description.